Package net.shibboleth.idp.attribute.filter.context

# Enum Class AttributeFilterContext.Direction

java.lang.Object
java.lang.Enum<AttributeFilterContext.Direction>
net.shibboleth.idp.attribute.filter.context.AttributeFilterContext.Direction

All Implemented Interfaces:
  `Serializable`, `Comparable<AttributeFilterContext.Direction>`, `Constable`

Enclosing class:
  AttributeFilterContext

public static enum AttributeFilterContext.Direction extends Enum<AttributeFilterContext.Direction>
Used to indicate the "direction" of filtering relative to the IdP.

Since:
  4.0.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INBOUND`
Inbound filtering is used to control the acceptance of data from another party.
`OUTBOUND`
Outbound filtering is used to control the release of data to another party.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Direction()`

## Method Summary

Modifier and Type
Method
Description
`static AttributeFilterContext.Direction`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AttributeFilterContext.Direction[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INBOUND

public static final AttributeFilterContext.Direction INBOUND
Inbound filtering is used to control the acceptance of data from another party.

### OUTBOUND

public static final AttributeFilterContext.Direction OUTBOUND
Outbound filtering is used to control the release of data to another party.

## Constructor Details

### Direction

private Direction()

## Method Details

### values

public static AttributeFilterContext.Direction[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AttributeFilterContext.Direction valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null